# Interface ProfileFormatter

interface ProfileFormatter {
xhover: ((arg0, arg1) => string);
xtick: ((arg0, arg1) => string | number);
yhover: ((arg0, arg1) => string);
ytick: ((arg0, arg1) => string | number);
}

- Defined in src/profile/elevationComponent.js:42

#####
Index

### Properties

xhover
xtick
yhover
ytick

## Properties

### xhover

xhover: ((arg0, arg1) => string)

Format the xhover distance.

#### Type declaration

- - (arg0, arg1): string

  - #### Parameters

    - arg0: number
    - arg1: string

    #### Returns string

- Defined in src/profile/elevationComponent.js:43

### xtick

xtick: ((arg0, arg1) => string | number)

Format the xtick, for graduating the x axis.

#### Type declaration

- - (arg0, arg1): string | number

  - #### Parameters

    - arg0: number
    - arg1: string

    #### Returns string | number

- Defined in src/profile/elevationComponent.js:45

### yhover

yhover: ((arg0, arg1) => string)

Format the yhover elevation.

#### Type declaration

- - (arg0, arg1): string

  - #### Parameters

    - arg0: number
    - arg1: string

    #### Returns string

- Defined in src/profile/elevationComponent.js:44

### ytick

ytick: ((arg0, arg1) => string | number)

Format the ytick, for graduating the y axis.

#### Type declaration

- - (arg0, arg1): string | number

  - #### Parameters

    - arg0: number
    - arg1: string

    #### Returns string | number

- Defined in src/profile/elevationComponent.js:46

Generated using TypeDoc